const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.x;
    global ebx;
    global edi;
    global esi;
    v0_9 = ebx;
    esi = arg1;
    edi = arg1[48];
    ebx = z.x;
    v3_2e = function_35(edi_global_2d_to_2d_local, esi_global_2d_to_2d_local, v0_9);
    z.x = v3_2e;
    return v3_2e;

# Address range: 0x30 - 0x35;
def function_30():;
    *((ebp_global_2d_to_2d_local - 8)) = 0.0;
    return z.x;

# Address range: 0x35 - 0x4c;
def function_35(arg1, arg2, arg3):;
    global z.x;
    v4_35 = esi[24] # bp+35;
    tmp2 = fabs(v4_35);
    *((ebp - 16)) = (fabs(v4_35) + *((edi - 64))) * tmp2 * *((edi - 72));
    v3_4a = function_51(&var2, &var2, &var2);
    z.x = v3_4a;
    return v3_4a;

# Address range: 0x4c - 0x51;
def function_4c():;
    *((ebp_global_2d_to_2d_local - 16)) = 0.0;
    return z.x;

# Address range: 0x51 - 0x7b;
def function_51(arg1, arg2, arg3):;
    global z.x;
    global ebx;
    # 0x51;
    *ebx = ebx - (sqrtl(z.y * z.y + z.z * z.z) * *((edi - 48)) + *((ebp - 8)) + *((ebp - 16)));
    v0_70 = ebx # bp+70;
    z.x = v0_70;
    ebx = arg3;
    return v0_70;


	}